Package org.apache.solr.client.solrj.request

# Interface CollectionAdminRequest.RoutedAliasAdminRequest

All Known Implementing Classes:
  `CollectionAdminRequest.CreateCategoryRoutedAlias`, `CollectionAdminRequest.CreateTimeRoutedAlias`, `CollectionAdminRequest.DimensionalRoutedAlias`

Enclosing class:
  `CollectionAdminRequest<T extends CollectionAdminResponse>`

public static interface CollectionAdminRequest.RoutedAliasAdminRequest

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`ROUTER_FIELD`
`static final String`
`ROUTER_TYPE_NAME`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getParamNames()`
`SolrParams`
`getParams()`
`List<String>`
`getRequiredParamNames()`
`String`
`getRouterField()`
`RoutedAliasTypes`
`getType()`
`default ModifiableSolrParams`
`mergeCollParams(CollectionAdminRequest.Create createCollTemplate)`

## Field Details

### ROUTER_TYPE_NAME

static final String ROUTER_TYPE_NAME

See Also:
  - Constant Field Values

### ROUTER_FIELD

static final String ROUTER_FIELD

See Also:
  - Constant Field Values

## Method Details

### getType

RoutedAliasTypes getType()

### getRouterField

String getRouterField()

### getParamNames

List<String> getParamNames()

### getRequiredParamNames

List<String> getRequiredParamNames()

### getParams

SolrParams getParams()

### mergeCollParams

default ModifiableSolrParams mergeCollParams(CollectionAdminRequest.Create createCollTemplate)